Bug 923960 - Review Request: JMapViewer - JMapViewer is a java component to integrate an OSM map view into your Java application.
Review Request: JMapViewer - JMapViewer is a java component to integrate an O...
Status: CLOSED DUPLICATE of bug 1092629
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-20 15:34 EDT by hannes
Modified: 2014-05-01 05:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-03 02:40:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hannes 2013-03-20 15:34:02 EDT
Spec URL: http://hannes.fedorapeople.org/JMapViewer.spec
SRPM URL: http://hannes.fedorapeople.org/JMapViewer-2013.02.10-1.fc18.src.rpm
Description: JMapViewer is a Java Swing component for integrating OSM maps 
into your Java application. 
JMapViewer allows you to set markers on the map or zoom 
to a specific location on the map.
Fedora Account System Username: hannes

I need to remove the probably trademarked logo from the upstream release package, that's why I need to create a new tar ball without the logo and the relevant code.
https://lists.fedoraproject.org/pipermail/legal/2012-May/001905.html
Comment 2 Volker Fröhlich 2013-03-27 11:38:54 EDT
JMapViewer.spec:32: W: setup-not-quiet
JMapViewer.spec:52: W: mixed-use-of-spaces-and-tabs (spaces: line 52, tab: line 2)

The description commonly doesn't repeat the name and doesn't have a period at the end. The line is also too long, I guess.

How did you find out this software was GPLv2? The headers only say "GPL" and so does the website.

Buildroot is no longer necessary; same goes for defattr. Use the name macro in Source1.
Comment 3 hannes 2013-03-27 15:22:29 EDT
OK, fixed it. I think the license was a leftover from my spec template.
Spec URL: http://hannes.fedorapeople.org/JMapViewer.spec
SRPM URL: http://hannes.fedorapeople.org/JMapViewer-2013.03.22-2.fc18.src.rpm
Comment 4 gil cattaneo 2013-08-24 14:47:37 EDT
hi
you should remove 
BuildRequires:	ant-nodeps
BuildRequires:	ant-trax
ant dont provides anymore these libraries
you should remove also

WARNING: Cannot download url: http://svn.openstreetmap.org/applications/viewer/JMapViewer/releases/2013-03-22/JMapViewer-nopatents.tar.gz
need only JMapViewer-nopatents.tar.gz
replace
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;
find -name '*.zip' -exec rm -f '{}' \;
with
find -name '*.class' -delete
find -name '*.jar' -delete
find -name '*.zip' -delete
or edit JMapViewer_create_tarball_and_remove_bing.sh for remove bunlded libraries
remove all mixed-use-of-spaces-and-tabs
can you provides also javadoc package?
regards
Comment 5 gil cattaneo 2013-08-24 15:02:40 EDT
please, use %setup -q -c -n %{name}
Comment 6 gil cattaneo 2013-08-24 15:05:56 EDT
summary should be: "Java Open Street Map Viewer"
Comment 7 gil cattaneo 2013-09-22 17:41:03 EDT
ping
Comment 8 Volker Fröhlich 2014-01-31 16:20:21 EST
Last response from hannes is from March last year. Hannes, are you still interested?
Comment 9 hannes 2014-02-03 00:48:22 EST
Well, I am not really interested any more. I released ownership of freemind, so there's no need to get the deps in.
I just don't have enough time to maintain java packages.
So if anyone wants to take it, feel free.
Johannes
Comment 10 Volker Fröhlich 2014-05-01 05:59:33 EDT

*** This bug has been marked as a duplicate of bug 1092629 ***

Note You need to log in before you can comment on or make changes to this bug.